#!/bin/sh
echo "  ____  ______  ______                        _                       "
echo " |  _ \| __ ) \/ / ___| _   _ _ __ ___  _ __ | |__   ___  _ __  _   _ "
echo " | |_) |  _  \  /\___ \| | | |  _   _ \|  _ \|  _ \ / _ \|  _ \| | | |"
echo " |  __/| |_) /  \ ___) | |_| | | | | | | |_) | | | | (_) | | | | |_| |"
echo " |_|   |____/_/\_\____/ \__, |_| |_| |_| .__/|_| |_|\___/|_| |_|\__, |"
echo "                        |___/          |_|                      |___/ "
echo ""
echo " WELCOME TO THE INSTALLATION SYSTEM OF PBXSYMPHONY WEB ADMINISTRATION "
echo " INTERFACE FOR ASTERISK. "
echo " WE RECOMMEND PERFORMING A CLEAN INSTALLATION."
echo "..."
vcentos=$(rpm -q --queryformat '%{VERSION}' centos-release)

if [ $vcentos == 7 ]; then

  commandwget=$( rpm -qa wget | wc -l)
  if [ $commandwget == 0 ]; then
    yum -y install wget > /dev/null 2>&1
  fi

  echo "##########################################################################"
  echo " INSTALL MYSQL FOR PBXSYMPHONY                                            "
  echo "##########################################################################"
  echo " INSTALL RPM OF MYSQL                                                     "
  servicemysql=$( rpm -qa mysql-community-release | wc -l)
  if [ $servicemysql == 0 ]; then
    rpm -ivh rpm/mysql-community-release-el7.rpm > /dev/null 2>&1
    yum -y install mysql-server > /dev/null 2>&1
  fi
  systemctl enable mysqld > /dev/null 2>&1
  systemctl start mysqld > /dev/null 2>&1
  echo ""
  echo " CREATING DATABASE ASTERISKREALTIME INSERT PASSWORD FOR ROOT              "
  echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
  mysql -uroot -p -e "CREATE DATABASE asteriskrealtime;" > /dev/null 2>&1
  echo ""
  echo " IMPORT DATABASE ASTERISKREALTIME OF PBXSYMPHNY INSERT PASSWORD FOR ROOT  "
  echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
  echo ""
  mysql -uroot -p asteriskrealtime < mysql/databases.sql > /dev/null 2>&1
  echo ""
  echo " CREATING USER ASTERISKREALTIME FOR DATABASE INSERT PASSWORD FOR ROOT     "
  echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
  echo ""
  mysql -uroot -p -e "CREATE USER 'asteriskrealtime'@'localhost' IDENTIFIED BY 'p4ssw0rd';"  > /dev/null 2>&1
  echo ""
  echo " ASSIGNMENT OF PERMISSIONS TO USERS FOR DATABASE INSERT PASSWORD FOR ROOT "
  echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
  echo ""
  mysql -uroot -p -e "GRANT ALL PRIVILEGES ON asteriskrealtime.* TO 'asteriskrealtime'@'localhost';" > /dev/null 2>&1
  echo ""
  echo " RECONFIGURE CONFIG MYSQL                                                 "
  echo ""
  yes | cp -R mysql/my.cnf /etc/my.cnf > /dev/null 2>&1  
  echo ""
  echo " RESTARTING MYSQL                                                         "
  echo ""
  systemctl restart mysqld > /dev/null 2>&1
  echo " INSTALLATION OF MYSQL SUCCESSFULLY                                       "
  echo "##########################################################################"
  echo ""
  echo "##########################################################################"
  echo " INSTALL REPOSITORY                                                       "
  echo "##########################################################################"
  yes | cp -R repo7/* /etc/yum.repos.d/ > /dev/null 2>&1 
  echo ""
  yum clean all > /dev/null 2>&1 
  echo " INSTALLATION OF REPOSITORY S SUCCESSFULLY                                "
  echo "##########################################################################"
  echo ""
  echo "##########################################################################"
  echo " INSTALL HTTP                                                             "
  echo "##########################################################################"
  servicehttpd=$( rpm -qa httpd | wc -l)
  if [ $servicehttpd == 0 ]; then
    yum -y install httpd > /dev/null 2>&1
  fi
  echo ""
  systemctl enable httpd > /dev/null 2>&1
  systemctl start httpd > /dev/null 2>&1
  echo " INSTALLATION OF HTTP SUCCESSFULLY                                        "
  echo "##########################################################################"
  echo ""
  echo "##########################################################################"
  echo " INSTALL PHP AND PHP-MYSQL                                                "
  echo "##########################################################################"
  servicephp=$( rpm -qa php-mysql | wc -l)
  if [ $servicephp == 0 ]; then
    yum -y install php php-mysql > /dev/null 2>&1
  fi
  systemctl restart httpd > /dev/null 2>&1
  echo " INSTALLATION OF PHP AND PHP-MYSQL SUCCESSFULLY                           "
  echo "##########################################################################"
  echo ""
  echo "##########################################################################"
  echo " INSTALL RPMs BEFORE INSTALL ASTERISK 13                                  "
  echo "##########################################################################"
  echo " INSTALLING RPM libilbc-0.6-alt7.x86_64.rpm                               "
  rpm -ivh rpm/libilbc-0.6-alt7.x86_64.rpm > /dev/null 2>&1
  echo "                                                                          "
  echo " INSTALLING RPM gmime-2.6.19-1.el7.art.x86_64.rpm                         "
  rpm -ivh rpm/gmime-2.6.19-1.el7.art.x86_64.rpm  > /dev/null 2>&1
  echo "                                                                          "
  echo " INSTALLING RPM gsm-1.0.13-11.el7.x86_64.rpm                              "
  rpm -ivh rpm/gsm-1.0.13-11.el7.x86_64.rpm > /dev/null 2>&1
  echo "                                                                          "
  echo " INSTALLING RPM speex-1.2-0.19.rc1.el7.x86_64.rpm                         "
  rpm -ivh rpm/speex-1.2-0.19.rc1.el7.x86_64.rpm > /dev/null 2>&1
  echo "                                                                          "
  echo " INSTALLING RPM libsrtp-1.4.4-10.20101004cvs.el7.x86_64.rpm               "
  rpm -ivh rpm/libsrtp-1.4.4-10.20101004cvs.el7.x86_64.rpm > /dev/null 2>&1
  echo "                                                                          "
  echo " INSTALLING RPM pjproject-2.3-6.el7.art.x86_64.rpm                        "
  rpm -ivh rpm/pjproject-2.3-6.el7.art.x86_64.rpm > /dev/null 2>&1
  echo " INSTALLATION OF RPMs SUCCESSFULLY                                        "
  echo "##########################################################################"
  echo ""
  echo "##########################################################################"
  echo " INSTALL ASTERISK 13                                                      "
  echo "##########################################################################"
  echo " INSTALLING ASTERISK                                                      "
  serviceasterisk=$( rpm -qa asterisk | wc -l)
  if [ $serviceasterisk == 0 ]; then
    yum -y install asterisk > /dev/null 2>&1
  fi
  echo ""
  echo " INSTALLING ASTERISK-MYSQL                                                "
  serviceasteriskmysql=$( rpm -qa asterisk-mysql | wc -l)
  if [ $serviceasteriskmysql == 0 ]; then
    yum -y install asterisk-mysql > /dev/null 2>&1
  fi
  echo ""
  echo " INSTALLING ASTERISK-SIP                                                  "
  serviceasterisksip=$( rpm -qa asterisk-sip | wc -l)
  if [ $serviceasterisksip == 0 ]; then
    yum -y install asterisk-sip > /dev/null 2>&1
  fi
  echo ""
  echo " INSTALLING ASTERISK-SOUNDS-CORE-ES-*                                     "
  serviceasterisksounds=$( rpm -qa asterisk-sounds-core-es | wc -l)
  if [ $serviceasterisksounds == 0 ]; then
    yum -y install asterisk-sounds-core-es-* > /dev/null 2>&1
  fi
  echo ""
  echo " INSTALLING ASTERISK-VOICEMAIL                                            "
  serviceasteriskvoicemail=$( rpm -qa asterisk-voicemail | wc -l)
  if [ $serviceasteriskvoicemail == 0 ]; then
    yum -y install asterisk-voicemail > /dev/null 2>&1
  fi
  echo ""
  echo " INSTALLING ASTERISK-VOICEMAIL-PLAIN                                      "
  serviceasteriskvoicemailplain=$( rpm -qa asterisk-voicemail-plain | wc -l)
  if [ $serviceasteriskvoicemailplain == 0 ]; then
    yum -y install asterisk-voicemail-plain > /dev/null 2>&1
  fi
  echo ""
  echo " INSTALLING ASTERISK-DAHDI                                                "
  serviceasteriskdahdi=$( rpm -qa asterisk-dahdi | wc -l)
  if [ $serviceasteriskdahdi == 0 ]; then
    yum -y install asterisk-dahdi > /dev/null 2>&1
  fi
  echo ""
  systemctl enable asterisk > /dev/null 2>&1
  echo " INSTALLATION OF ASTERISK 13 SUCCESSFULLY                                 "
  echo "##########################################################################"
  echo ""
  echo "##########################################################################"
  echo " INSTALL PBXSYMPHONY                                                      "
  echo "##########################################################################"
  echo " COPYING ASTERISK CONFIGURATION                                           "
  yes | cp -R asterisk13/* /etc/asterisk/ > /dev/null 2>&1
  echo ""
  echo " COPYING PBXSYMPHONY WEB CONFIGURATION                                    "
  echo ""
  yes | cp -R html/* /var/www/html/ > /dev/null 2>&1
  echo " CONFIGURATION /usr/share/asterisk/sounds/prompts/                        "
  echo ""
  mkdir /usr/share/asterisk/sounds/prompts/ > /dev/null 2>&1
  chmod 777 /usr/share/asterisk/sounds/prompts/ > /dev/null 2>&1
  echo " CONFIGURATION /var/lib/asterisk/moh/                                     "
  echo ""
  mkdir /var/lib/asterisk/moh/ > /dev/null 2>&1
  chmod 777 /var/lib/asterisk/moh/ > /dev/null 2>&1
  echo ""
  echo " SYSTEMCTL RESTART HTTPD                                                  "
  echo ""
  systemctl restart httpd > /dev/null 2>&1
  echo " SYSTEMCTL RESTART ASTERISK                                               "
  echo ""
  systemctl restart asterisk > /dev/null 2>&1
  echo " INSTALLATION OF PBXSYMPHONY SUCCESSFULLY                                 "
  echo "##########################################################################"
  echo ""
  echo " TO ENTER PBXSYMPHONY PLEASE OPEN IN YOUR BROWSER THE PUBLIC IP ADDRESS   "
  echo " OF THIS SERVER.  FOR EXAMPLE: http://"$(ip -4 route get 8.8.8.8 | awk {'print $7'} | tr -d '\n')
  echo ""
  echo "   USER: admin                                                            "
  echo "   PASSWORD: admin                                                        "
  echo ""
  echo "##########################################################################"
  sh motd > /etc/motd 

else
  echo "##########################################################################"
  echo ""
  echo " THIS INSTALLATION IS ONLY FOR CENTOS VERSION 7"
  echo ""
  echo "##########################################################################"

fi


